Bug 246719 (printer-filters-rev) - Review Request: printer-filters - Collection of filters for various printer drivers
Summary: Review Request: printer-filters - Collection of filters for various printer d...
Status: CLOSED NEXTRELEASE
Alias: printer-filters-rev
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Marek Mahut
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: HardwareEnablement
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-04 12:29 UTC by Lubomir Kundrak
Modified: 2007-11-30 22:12 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-27 17:43:31 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mmahut: fedora-review+
wtogami: fedora-cvs+


Attachments (Terms of Use)

Description Lubomir Kundrak 2007-07-04 12:29:07 UTC
Spec URL: http://people.redhat.com/lkundrak/SPECS/printer-drivers.spec
SRPM URL: http://people.redhat.com/lkundrak/SRPMS/printer-drivers-1.0-1.src.rpm
Description: Collection of filters for various printer drivers

This is a meta-package that depends on all available printer filters.
Installing it via tool that resolves dependencies, such as yum or anaconda,
ensures that all printer drivers available from foomatic package that
require external filters will work.

Note: This package is a part of the ongoing effort to extend hardware
support by fixing the foomatic drivers that actually refer to external
filters.

Comment 1 Lubomir Kundrak 2007-07-04 12:31:54 UTC
Rpmlint output and justification:

$ rpmlint /usr/src/redhat/RPMS/noarch/printer-drivers-1.0-1.noarch.rpm
W: printer-drivers no-documentation

The printer drivers themselves may contain documentation.

$ rpmlint /usr/src/redhat/SRPMS/printer-drivers-1.0-1.src.rpm
E: printer-drivers no-cleaning-of-buildroot %install
E: printer-drivers no-cleaning-of-buildroot %clean
E: printer-drivers no-buildroot-tag

The package doesn't build -- no build root.

W: printer-drivers no-%prep-section
W: printer-drivers no-%build-section
W: printer-drivers no-%install-section
W: printer-drivers no-%clean-section

The very same applies.

Comment 2 Lubomir Kundrak 2007-07-04 12:34:37 UTC
This might be easy to review, as it's short, though it is somehow atypical.
I'd appreciate comments on whether there is a better way to make a depend-only
package very much.

Comment 3 Lubomir Kundrak 2007-07-04 12:45:17 UTC
Tim Waugh suggested avoiding the 'printer-drivers' to avoid confusion with
Mandriva's package with that name.

So the new files are here:

Spec URL: http://people.redhat.com/lkundrak/SPECS/printer-filters.spec
SRPM URL: http://people.redhat.com/lkundrak/SRPMS/printer-filters-1.0-1.src.rpm

Comment 4 Marek Mahut 2007-07-25 18:49:33 UTC
This meta-package looks sane.

APPROVED.

Comment 5 Lubomir Kundrak 2007-07-26 08:44:07 UTC
New Package CVS Request
=======================
Package Name: printer-filters
Short Description: Collection of filters for various printer drivers
Owners: lkundrak@redhat.com
Branches: FC-6 F-7

Comment 6 Lubomir Kundrak 2007-07-27 17:40:58 UTC
The package was imported into CVS. Thanks Marek and Warren!


Note You need to log in before you can comment on or make changes to this bug.